﻿using TravelAgencyDataModels.Models;

namespace TravelAgencyContracts.BindingModels
{
    public class ExcursionGroupBindingModel : IExcursionGroupModel
    {
        public int Id { get; set; }

        public string ExcursionGroupName { get; set; } = string.Empty;

        public int ParticipantsAmount { get; set; }

        public int UserId { get; set; }

        public int GuideId { get; set; }

        public Dictionary<int, ITourModel> ExcursionGroupTours { get; set; } = new();

        public Dictionary<int, IPlaceModel> ExcursionGroupPlaces { get; set; } = new();
    }
}
