﻿using TravelAgencyDataModels.Models;

namespace TravelAgencyContracts.BindingModels
{
    public class TripBindingModel : ITripModel
    {
        public int Id { get; set; }

        public string TripName { get; set; } = string.Empty;

        public DateTime TripDate { get; set; }

        public int GuideId { get; set; }

        public Dictionary<int, IPlaceModel> TripPlaces { get; set; } = new();
    }
}
