﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.SearchModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.BusinessLogicsContracts
{
    public interface IExcursionLogic
    {
        List<ExcursionViewModel>? ReadList(ExcursionSearchModel? model);

        ExcursionViewModel? ReadElement(ExcursionSearchModel model);

        bool Create(ExcursionBindingModel model);

        bool Update(ExcursionBindingModel model);

        bool Delete(ExcursionBindingModel model);
    }
}
