﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.SearchModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.BusinessLogicsContracts
{
    public interface IGuideLogic
    {
        List<GuideViewModel>? ReadList(GuideSearchModel? model);

        GuideViewModel? ReadElement(GuideSearchModel model);

        bool Create(GuideBindingModel model);

        bool Update(GuideBindingModel model);

        bool Delete(GuideBindingModel model);
    }
}
