﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.SearchModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.BusinessLogicsContracts
{
    public interface ITourLogic
    {
        List<TourViewModel>? ReadList(TourSearchModel? model);

        TourViewModel? ReadElement(TourSearchModel model);

        bool Create(TourBindingModel model);

        bool Update(TourBindingModel model);

        bool Delete(TourBindingModel model);
    }
}
