﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.SearchModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.BusinessLogicsContracts
{
    public interface ITripLogic
    {
        List<TripViewModel>? ReadList(TripSearchModel? model);

        TripViewModel? ReadElement(TripSearchModel model);

        bool Create(TripBindingModel model);

        bool Update(TripBindingModel model);

        bool Delete(TripBindingModel model);
    }
}
