﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.SearchModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.StoragesContracts
{
    public interface IExcursionStorage
    {
        List<ExcursionViewModel> GetFullList();

        List<ExcursionViewModel> GetFilteredList(ExcursionSearchModel model);

        ExcursionViewModel? GetElement(ExcursionSearchModel model);

        ExcursionViewModel? Insert(ExcursionBindingModel model);

        ExcursionViewModel? Update(ExcursionBindingModel model);

        ExcursionViewModel? Delete(ExcursionBindingModel model);
    }
}
