﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.SearchModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.StoragesContracts
{
    public interface ITripStorage
    {
        List<TripViewModel> GetFullList();

        List<TripViewModel> GetFilteredList(TripSearchModel model);

        TripViewModel? GetElement(TripSearchModel model);

        TripViewModel? Insert(TripBindingModel model);

        TripViewModel? Update(TripBindingModel model);

        TripViewModel? Delete(TripBindingModel model);
    }
}
