﻿using System.ComponentModel;
using TravelAgencyDataModels.Models;

namespace TravelAgencyContracts.ViewModels
{
    public class ExcursionGroupViewModel : IExcursionGroupModel
    {
        public int Id { get; set; }

        [DisplayName("Название экскурсии")]
        public string ExcursionGroupName { get; set; } = string.Empty;

        [DisplayName("Количество участников")]
        public int ParticipantsAmount { get; set; }

        public int UserId { get; set; }

        public int GuideId { get; set; }

        [DisplayName("ФИО гида")]
        public string? GuideFIO { get; set; } = string.Empty;

        public Dictionary<int, ITourModel> ExcursionGroupTours { get; set; } = new();

        public Dictionary<int, IPlaceModel> ExcursionGroupPlaces { get; set; } = new();
    }
}
