﻿using System.ComponentModel;
using TravelAgencyDataModels.Models;

namespace TravelAgencyContracts.ViewModels
{
    public class TourViewModel : ITourModel
    {
        public int Id { get; set; }

        [DisplayName("Название тура")]
        public string TourName { get; set; } = string.Empty;

        [DisplayName("Описание тура")]
        public string TourDescription { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public double Price { get; set; }

        [DisplayName("Дата тура")]
        public DateTime TourDate { get; set; }

        public int UserId { get; set; }
    }
}
