﻿using System.ComponentModel;
using TravelAgencyDataModels.Models;

namespace TravelAgencyContracts.ViewModels
{
    public class TripViewModel : ITripModel
    {
        public int Id { get; set; }

        [DisplayName("Название поездки")]
        public string TripName { get; set; } = string.Empty;

        [DisplayName("Дата поездки")]
        public DateTime TripDate { get; set; }

        public int GuideId { get; set; }

        public Dictionary<int, IPlaceModel> TripPlaces { get; set; } = new();
    }
}
