﻿namespace TravelAgencyDataModels.Models
{
    public interface IExcursionModel : IId
    {
        string ExcursionName { get; }

        string ExcursionDescription { get; }

        double Price { get; }

        int UserId { get; }

        int PlaceId { get; }

        Dictionary<int, ITourModel> ExcursionTours { get; }
    }
}
