﻿using System.ComponentModel.DataAnnotations;

namespace TravelAgencyDatabaseImplement.Models
{
    public class ExcursionTour
    {
        public int Id { get; set; }

        [Required]
        public int ExcursionId { get; set; }

        [Required]
        public int TourId { get; set; }

        public virtual Excursion Excursion { get; set; } = new();

        public virtual Tour Tour { get; set; } = new();
    }
}
