﻿using TravelAgencyDataModels.Models;

namespace TravelAgencyContracts.BindingModels
{
    public class ExcursionBindingModel : IExcursionModel
    {
        public int Id { get; set; }

        public string ExcursionName { get; set; } = string.Empty;

        public string ExcursionDescription { get; set; } = string.Empty;

        public double Price { get; set; }

        public int UserId { get; set; }

        public int PlaceId { get; set; }

        public Dictionary<int, ITourModel> ExcursionTours { get; set; } = new();
    }
}
