﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.SearchModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.BusinessLogicsContracts
{
    public interface IExcursionGroupLogic
    {
        List<ExcursionGroupViewModel>? ReadList(ExcursionGroupSearchModel? model);

        ExcursionGroupViewModel? ReadElement(ExcursionGroupSearchModel model);

        bool Create(ExcursionGroupBindingModel model);

        bool Update(ExcursionGroupBindingModel model);

        bool Delete(ExcursionGroupBindingModel model);
    }
}
