﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.SearchModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.BusinessLogicsContracts
{
    public interface IPlaceLogic
    {
        List<PlaceViewModel>? ReadList(PlaceSearchModel? model);

        PlaceViewModel? ReadElement(PlaceSearchModel model);

        bool Create(PlaceBindingModel model);

        bool Update(PlaceBindingModel model);

        bool Delete(PlaceBindingModel model);
    }
}
