﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.BusinessLogicsContracts
{
    public interface IReportLogic
    {
        List<ReportTourPlaceViewModel> GetTourPlaces(ReportBindingModel model);

        List<ReportTourPeriodViewModel> GetTourPeriod(ReportBindingModel model);

        void SaveTourPlacesToWordFile(ReportBindingModel model);

        void SaveTourPlacesToExcelFile(ReportBindingModel model);
    }
}
