﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.SearchModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.BusinessLogicsContracts
{
    public interface IUserLogic
    {
        List<UserViewModel>? ReadList(UserSearchModel? model);

        UserViewModel? ReadElement(UserSearchModel model);

        bool Create(UserBindingModel model);

        bool Update(UserBindingModel model);

        bool Delete(UserBindingModel model);
    }
}
