﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.SearchModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.StoragesContracts
{
    public interface IExcursionGroupStorage
    {
        List<ExcursionGroupViewModel> GetFullList();

        List<ExcursionGroupViewModel> GetFilteredList(ExcursionGroupSearchModel model);

        ExcursionGroupViewModel? GetElement(ExcursionGroupSearchModel model);

        ExcursionGroupViewModel? Insert(ExcursionGroupBindingModel model);

        ExcursionGroupViewModel? Update(ExcursionGroupBindingModel model);

        ExcursionGroupViewModel? Delete(ExcursionGroupBindingModel model);
    }
}
