﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.SearchModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.StoragesContracts
{
    public interface IGuideStorage
    {
        List<GuideViewModel> GetFullList();

        List<GuideViewModel> GetFilteredList(GuideSearchModel model);

        GuideViewModel? GetElement(GuideSearchModel model);

        GuideViewModel? Insert(GuideBindingModel model);

        GuideViewModel? Update(GuideBindingModel model);

        GuideViewModel? Delete(GuideBindingModel model);
    }
}
