﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.SearchModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.StoragesContracts
{
    public interface IPlaceStorage
    {
        List<PlaceViewModel> GetFullList();

        List<PlaceViewModel> GetFilteredList(PlaceSearchModel model);

        PlaceViewModel? GetElement(PlaceSearchModel model);

        PlaceViewModel? Insert(PlaceBindingModel model);

        PlaceViewModel? Update(PlaceBindingModel model);

        PlaceViewModel? Delete(PlaceBindingModel model);
    }
}
