﻿using TravelAgencyContracts.BindingModels;
using TravelAgencyContracts.SearchModels;
using TravelAgencyContracts.ViewModels;

namespace TravelAgencyContracts.StoragesContracts
{
    public interface ITourStorage
    {
        List<TourViewModel> GetFullList();

        List<TourViewModel> GetFilteredList(TourSearchModel model);

        TourViewModel? GetElement(TourSearchModel model);

        TourViewModel? Insert(TourBindingModel model);

        TourViewModel? Update(TourBindingModel model);

        TourViewModel? Delete(TourBindingModel model);
    }
}
