﻿using System.ComponentModel;
using TravelAgencyDataModels.Models;

namespace TravelAgencyContracts.ViewModels
{
    public class ExcursionViewModel : IExcursionModel
    {
        public int Id { get; set; }

        [DisplayName("Название экскурсии")]
        public string ExcursionName { get; set; } = string.Empty;

        [DisplayName("Описание экскурсии")]
        public string ExcursionDescription { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public double Price { get; set; }

        public int UserId { get; set; }

        public int PlaceId { get; set; }

        public string? PlaceName { get; set; } = string.Empty;

        public Dictionary<int, ITourModel> ExcursionTours { get; set; } = new();
    }
}
