﻿using System.ComponentModel;
using TravelAgencyDataModels.Models;

namespace TravelAgencyContracts.ViewModels
{
    public class UserViewModel : IUserModel
    {
        public int Id { get; set; }

        [DisplayName("ФИО пользователя")]
        public string UserFIO { get; set; } = string.Empty;

        [DisplayName("Эл. почта")]
        public string Email { get; set; } = string.Empty;

        [DisplayName("Номер телефона")]
        public string PhoneNumber { get; set; } = string.Empty;

        [DisplayName("Пароль")]
        public string Password { get; set; } = string.Empty;
    }
}
