﻿namespace TravelAgencyDataModels.Models
{
    public interface IExcursionGroupModel : IId
    {
        string ExcursionGroupName { get; }

        int ParticipantsAmount { get; }

        int UserId { get; }

        int GuideId { get; }

        Dictionary<int, ITourModel> ExcursionGroupTours { get; }

        Dictionary<int, IPlaceModel> ExcursionGroupPlaces { get; }
    }
}
