﻿using System.ComponentModel.DataAnnotations;

namespace TravelAgencyDatabaseImplement.Models
{
    public class TripPlace
    {
        public int Id { get; set; }

        [Required]
        public int TripId { get; set; }

        [Required]
        public int PlaceId { get; set; }

        public virtual Trip Trip { get; set; } = new();

        public virtual Place Place { get; set; } = new();
    }
}
